Module java.desktop
Package javax.swing.plaf

## Class BorderUIResource.EmptyBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.EmptyBorder
    - - javax.swing.plaf.BorderUIResource.EmptyBorderUIResource

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Enclosing class:
  BorderUIResource

    public static class BorderUIResource.EmptyBorderUIResource
    extends EmptyBorder
    implements UIResource

An empty border UI resource.

See Also:
  Serialized Form

### Field Summary

### Fields declared in class javax.swing.border.EmptyBorder

`bottom, left, right, top`

### Constructor Summary

Constructors
`EmptyBorderUIResource​(int top, int left, int bottom, int right)` Constructs an `EmptyBorderUIResource`.
`EmptyBorderUIResource​(Insets insets)` Constructs an `EmptyBorderUIResource`.

### Method Summary

### Methods declared in class javax.swing.border.EmptyBorder

`getBorderInsets, getBorderInsets, isBorderOpaque, paintBorder`

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmptyBorderUIResource

    public EmptyBorderUIResource​(int top,
                                 int left,
                                 int bottom,
                                 int right)

Constructs an `EmptyBorderUIResource`.

Parameters:
  `top` - the top inset of the border
  `left` - the left inset of the border
  `bottom` - the bottom inset of the border
  `right` - the right inset of the border

#### EmptyBorderUIResource

    @ConstructorProperties("borderInsets")
    public EmptyBorderUIResource​(Insets insets)

Constructs an `EmptyBorderUIResource`.

Parameters:
  `insets` - the insets of the border